@media (max-width: 1320px) {
    .people-grid{
        grid-template-columns: repeat(auto-fit, minmax(155px, 1fr));
    }
    .person-card img{
        min-height: 300px;
        height: 300px;
    }
}

@media (max-width: 1280px) {
    .careers-collage {
        display: none;
        /* Hide complex collage on smaller screens */
    }

    .careers-container {
        min-height: unset;
    }
}

@media (min-width: 1260px) {
    .search-wrapper {
        width: 450px;
    }
}

@media (min-width: 1201px) {
    .mobile-nav {
        display: none;
    }
}

@media (max-width: 1200px) {
    .container {
        padding-left: 20px;
        padding-right: 20px;
    }
     .main-nav {
        display: none;
    }

    .header-container .btn {
        display: none;
    }

    .mobile-nav-toggle {
        display: flex;
        flex-direction: column;
        gap: 5px;
    }

    .mobile-nav-toggle span {
        width: 25px;
        height: 3px;
        background-color: var(--color-text-dark);
    }
    .philosophy-card {
        flex-direction: column;
        align-items: stretch;
        display: flex;
    }

    .philosophy-image {
        flex-basis: auto;
        height: 400px;
    }

    .philosophy-details {
        padding: 30px 0;
    }

    /*.philosophy-card {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 40px;
    }

    .philosophy-image {
        max-height: clamp(450px, 38vw, 650px);
        overflow: hidden;
    }

    .philosophy-image img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }*/

    .contact-container {
        flex-direction: column;
        gap: 60px;
    }

    .contact-details {
        gap: 80px;
        padding-top: 0;
    }
    .career-bg-images {
        display: none;
    }

    .career-container {
        min-height: auto;
        padding: 60px 0;
    }
     .address-grid {
        flex-direction: column;
    }
     .job-posting-container {
        flex-direction: column;
    }

    .job-details {
        padding: 40px 20px;
    }

    .application-sidebar {
        padding: 40px 20px;
    }
    .featured-post {
        gap: 30px;
    }

    .featured-post__image-wrapper {
        flex-basis: 50%;
    }

   

    .about-main-container{
        gap: 15px;
    }
    .about-intro-container{
        padding-left: 0;
        padding-right: 0;
    }
    .mission-vision-wrapper{
        margin: 0;
        padding-top: 0;
    }

    .about-us-careers .careers-container,
    #current-vacancies{
        padding-left: 20px;
    }
    .mission-vision-container{
        padding-left: 0;
    }
    .core-values-section{
        margin: 0 5px;
    }

    .particular-label{
        max-width: 120px;
    }
    .particular-value {
        max-width: 147px;
    }
}
@media (min-width: 1536px) {
    .philosophy-image img {
        max-height: 566px;
    }
}
@media (max-width: 1500px) and (min-width: 1200px) {
    .philosophy-image {
        flex: 0 0 40%; /* 50% of its flex container (.philosophy-card) */
    }
}

@media (max-width: 1072px) {
    .title-and-search-container{
        gap: 12px 0;
    }
    .archives-main-heading-section{
        flex: none;
    }
    .archives-search-section{
        margin: 0;
    }
}

@media (min-width: 1025px) {
    .sidebar-menu {
        position: sticky;
        top: 85px;
        max-height: calc(100vh - 90px);
        overflow-y: auto;
    }

    #mobile-service-menu,
    .mobile-service-menu-header,
    #mobile-archive-menu {
        display: none;
    }
}

@media (max-width: 1024px) {
     .features-grid {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .feature-text-content {
        margin-top: -60px;
    }
     .archives-grid {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .archives-container {
        padding: 0 40px;
    }
    .about-description {
        grid-template-columns: 1fr;
        font-size: 20px;
    }

    .about-cards {
        grid-template-columns: 1fr;
    }
     .news-content {
        grid-template-columns: 1fr;
    }

    .news-text-card {
        border-radius: 10px 10px 0 0;
    }

    .news-image img {
        border-radius: 0 0 10px 10px;
    }
      .services-container {
        grid-template-columns: 1fr;
    }

    .services-image img {
        border-radius: 10px 10px 0 0;
        max-height: 400px;
    }

    .services-content {
        border-radius: 0 0 10px 10px;
    }
     .esg-grid {
        grid-template-columns: 1fr;
    }

    .esg-image {
        order: -1;
        max-height: 400px;
    }
    .core-values-container {
        flex-direction: column;
    }

    .values-image img {
        height: auto;
    }
     .product-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .sidebar-menu {
        position: fixed;
        bottom: -1px;
        /*left: 5px;*/
        left: 50%;
        transform: translateX(-50%);
        width: 350px;
        /*background: var(--color-primary);*/
        z-index: 999;
        border-radius: 10px;
        padding: 10px;
    }

    .about-sidebar.sidebar-menu,
    .sidebar-menu nav,
    .sidebar-menu ul {
        display: none;
        /* hidden by default */
    }

    #mobile-service-menu,
    .mobile-service-menu-header,
    #mobile-archive-menu {
        display: block;
    }

    .mobile-service-menu-header {
        font-size: 16px;
        padding-bottom: 10px;
    }

    .sidebar-menu select {
        width: 100%;
        padding: 12px;
        font-size: 16px;
        border: none;
        border-radius: 8px;
    }
    .content-wrapper {
        flex-direction: column;
    }

    .sidebar-menu {
        flex: 0 0 auto;
        width: 100%;
    }
     .hero-banner {
        margin: 0 40px;
        height: 500px;
    }

    .hero-title {
        font-size: 48px;
    }

    .hero-subtitle {
        font-size: 28px;
    }

    .hero-content{
        max-width: 650px;
    }

    .about-content{
        width: 62%;
    }
    .about-us-careers .section-title{
        margin-bottom: 0;
    }
    .about-us-careers .careers-container{
        margin-top: 0;
        padding-right: 20px;
        padding-left: 20px;
    }
    #current-vacancies{
        padding-right: 20px;
        padding-left: 20px;
    }


    .brochure-popup .popup-box{
        width: 90%;
    }

    .archives-main-heading-section{
        flex: none;
    }
    .search-wrapper{
        max-width: 450px;
        width: fit-content;
    }

    .mission-vision-container{
        padding-right: 0;
        padding-left: 0;
    }
    .core-values-section{
        margin: 0 5px;
    }
    .core-values-section .values-list{
        max-width: 900px;
        width: 100%;
    }

    .sidebar-menu {
        width: 85%;
        padding: 10px 5%;
        background: #fffffff1;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        border: 1px solid rgb(0 0 0 / 8%);
    }
    .sidebar-menu:hover {
        background-color: var(--color-light-gray);
        color: var(--color-primary);
    }
}

/*@media (min-width: 993px) {
    a.btn-read-more.archiveitem-link {
        position: absolute;
        bottom: 0;
        left: 0;
    }
    .news-card{
        position: relative;
        min-height: 550px;
    }
}*/

@media (max-width: 992px) {
  

    .footer-nav {
        flex-direction: column;
        gap: 40px;
    }

   
    .copyright-info {
        text-align: right;
    }
     .mission-vision-wrapper {
        flex-direction: column;
        align-items: center;

        margin-top: 40px;
    }

    .statement-card {
        width: 100%;
        max-width: none;
    }
    .testimonials-grid {
        flex-direction: column;
    }
     .vacancies-grid {
        grid-template-columns: 1fr;
    }
    .news-container {
        padding: 50px 50px;
    }

    .featured-post {
        flex-direction: column;
        align-items: flex-start;
    }

    .news-grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 40px 20px;
    }


    .person-card img{
        min-height: 225px;
        height: 225px;
    }
}

@media (max-width: 768px) {
     .container {
        padding-left: 15px;
        padding-right: 15px;
    }

    .hero-section,
    .hero-slider .swiper-slide,
    .hero-slider .swiper-wrapper .swiper-slide {
        height: 500px;
        margin: 0 10px;
    }

    .swiper-slide {
        width: calc(100% - 20px) !important;
    }

    .hero-title {
        font-size: 48px;
    }
    .hero-slider{margin: 15px 5px;}
    .hero-arrow {
        display: none;
    }

    .hero-content{
        max-width: 85%;
    }

     .philosophy-section {
        padding: 40px 0;
    }

    .philosophy-title,
    .page-content-section h1,
    .page-content-section .page-main-title {
        font-size: 32px;
    }

    .item-title {
        font-size: 22px;
    }

    .philosophy-image {
        height: 300px;
    }
    .about-section {
        padding: 40px 0 60px;
    }

    .about-title {
        font-size: 32px;
    }

    .about-description {
        font-size: 18px;
    }
     .video-section {
        padding-bottom: 60px;
    }

    .video-thumbnail {
        height: 400px;
    }
    .news-section {
        padding: 60px 0;
    }

    .section-header h2 {
        font-size: 32px;
    }
     #contact {
        padding: 60px 0;
    }

    .contact-container {
        padding: 0 40px;
    }

    .contact-details {
        flex-direction: column;
        gap: 40px;
        width: 100%;
    }

    .contact-headline {
        font-size: 48px;
    }
     .contact-section {
        padding: 20px 15px;
    }

    .form-row {
        flex-direction: column;
        gap: 15px;
    }

    .form-content {
        padding: 20px;
        gap: 25px;
    }

    .form-description {
        font-size: 20px;
    }
    .address-container {
        padding: 40px 20px;
    }
    .about-intro-section {
        padding: 40px 0;
    }

    /*.about-intro-container {
        gap: 40px;
    }*/

    .about-text-content {
        font-size: 16px;/*20px;*/
    }

    .about-text-content p:not(:first-child) {
        font-size: 16px;
    }

    .statement-title {
        font-size: 28px;
        margin-bottom: 40px;
    }
     .core-values-section {
        margin: 0 20px;
        padding: 40px 0;
    }
     .about-us-hero-section {
        height: 400px;
    }

    .about-us-hero-title {
        font-size: 48px;
    }
    .team-page-team-section,
    .team-page-people-section {
        padding: 30px 20px;
    }

    .team-card__image {
        height: 350px;
    }
     .main-title {
        font-size: 48px;
        line-height: 1.3;
    }

    .team-content-wrapper {
        gap: 24px;
    }
     .testimonials-section {
        padding: 40px 0;
    }

    .testimonials-header {
        flex-direction: column;
        align-items: flex-start;
        gap: 20px;
    }

    .testimonials-title {
        font-size: 32px;
    }

    .testimonial-quote {
        font-size: 22px;
    }

      .testimonials-header .testimonials-pagination {
        display: none; 
      }
      .testimonials-pagination-mobile {
        display: block;
        margin-top: 15px;
        text-align: left;
      }
      .testimonials-swiper .swiper-slide{
        width: 100% !important;
      }
      .testimonials-pagination-mobile .swiper-pagination-bullet-active{
        width: 20px;
        border-radius:15px;
      }

    .people-section {
        padding: 40px 0;
    }

    .people-title {
        font-size: 32px;
    }
    .careers-section {
        padding: 40px 20px;
    }

    .careers-title {
        font-size: 32px;
    }
    .hero-banner {
        margin: 0 20px;
        height: 400px;
        padding: 20px;
    }

    .hero-title {
        font-size: 36px;
    }

    .hero-subtitle {
        font-size: 24px;
        margin: 0;
    }
    .hero-description{
        font-size: 14px;
    }

    .services-section {
        padding: 40px 0;
    }

    .section-title,
    .article-title {
        font-size: 32px;
        margin-bottom: 30px;
    }

    .intro-paragraph {
        font-size: 18px;
    }

    .service-content-small-heading {
        font-size: 22px;
    }

    .content-block h4 {
        font-size: 22px;
    }

    .content-block h6 {
        font-size: 20px;
    }
    .products-container {
        gap: 30px;
    }

    .main-title {
        font-size: 34px;
    }

    .category-title {
        font-size: 28px;
    }

    .product-grid {
        grid-template-columns: 1fr;
        gap: 30px;
    }

    .product-title {
        font-size: 24px;
    }

    .section-padding {
        padding-left: 20px;
        padding-right: 20px;
    }

    .separator {
        width: calc(100% - 40px);
    }
     .job-info-cards,
    .form-row {
        flex-direction: column;
    }
    .article-section {
        padding: 40px 0;
    }

    .article-container {
        gap: 40px;
    }

    .single-archives .article-title {
        font-size: 40px;
    }
     .other-archives-section {
        padding: 60px 0;
    }

    .archives-container {
        padding: 0 20px;
    }

    .section-title {
        font-size: 32px;
    }

    .card-title {
        font-size: 24px;
    }
    .news-container {
        padding: 50px 20px;
    }

    .post-title-lg {
        font-size: 28px;
    }

    .post-title-md {
        font-size: 24px;
    }

    .news-grid {
        grid-template-columns: 1fr;
        gap: 50px;
    }
    #hero {
        padding-top: 40px;
        padding-bottom: 20px;
    }

    .carriers-hero-title {
        font-size: 25px;
    }

    .carriers-hero-subtitle {
        font-size: 14px;
    }
    

    .vacancies-title {
        font-size: 28px;
    }

    .carrier-listing-job-title {
        font-size: 20px;
    }

    /*.service-testimonial-card-wrapper{
        display: flex;
        flex-direction: column;
     }*/
     /*8888888888888888888888888888*/
     #testimonial-slider {
        overflow: visible;
    }

    #testimonial-slider .swiper-wrapper {
        display: block;
    }

    #testimonial-slider .swiper-slide {
        width: 100% !important;
        margin-bottom: 20px;
    }

    #testimonial-slider .swiper-pagination {
        display: none;
    }
     .service-testimonial-card-1{
        margin: 0;
        margin-bottom: 0;
     }
     .testimonial-card{
         margin:0 10px;
     }
    .confidence-title{
        font-size: 32px;
    }
    .confidence-banner {
      flex-direction: column;
      text-align: center;
    }
    .confidence-content {
      align-items: center;
    }
    .confidence-button {
      align-self: center;
    }
    .confidence-illustration {
      margin-top: 20px;
		display: none;
    }

    .title-and-search-container{
        flex-direction: column;
    }
    .archives-main-heading-section{
        flex: none;
    }
}

@media only screen and (min-width: 992px) and (max-width: 1023px) {
	.philosophy-section{padding: 80px 0;}
	.references-section{padding: 80px 0;}
	.about-text-content{max-width: none;}
	.core-values-section{margin: 0 20px;}
	.footer-nav-col ul{gap: 20px 13px;}
	.philosophy-section,.references-section{padding: 40px 0;}
	.philosophy-details{padding: 35px 0;}
	.references-grid{grid-template-columns: repeat(3, 1fr);}
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
	.references-section {padding: 80px 0;}
	.philosophy-section{padding: 20px 0px;}
	.references-section{    padding: 5px 0;}
	.footer-nav-col ul{float: right;gap: 15px 15px;}
	.site-footer{padding: 0 0 30px;}
	.footer-nav{padding-top: 40px;}
	.mobile-nav{display: flex;flex-direction: column;justify-content: space-between;padding: 0;}
	.menu-top {
		display: flex;
		align-items: center;
		width: 100%;
		float: left;
		justify-content: space-between;
		padding: 30px 20px;
	}
	.mobile-nav ul li a{padding: 10px 30px;width: 100%;float: left;border-top: 1px solid #014960;font-size: 26px;}
	.mobile-nav ul{gap: 0px;}
	
}
@media (max-width: 767.98px) {   
    .values-list ul{margin: 0;padding: 0;}
    .hero-text-box{gap: 10px;}
    .philosophy-details {padding: 40px 0;}
    .references-section{padding: 0;margin-top: 15px;}
    .reference-card-content{padding: 20px 0;}
    .swiper-button-prev, .swiper-button-next{background-size: 40px;width: 40px !important;height: 30px !important;}
    .swiper-button-prev{left: 13px !important;}
    .swiper-button-next{right: 13px !important;}
    .philosophy-title,
    .page-content-section h1,
    .page-content-section .page-main-title{margin: 0 0 20px 0;}
    .site-footer{padding: 0 0 20px 0; }
    .footer-logo-section{align-items: center;flex-direction: row;}
	.social-links p{display:none;}
    .footer-nav-col ul{justify-content: center;gap: 10px 20px;width: 100%;align-items: center;}
    .philosophy-title,
    .page-content-section h1,
    .page-content-section .page-main-title {font-size: 26px;}
    .footer-top, .footer-bottom{flex-direction: column;justify-content: center;align-items: center;gap: 25px 0;padding-top: 20px;}
    .copyright-info{text-align: center;}
    .mobile-nav-close{right: 18px;top: 27px;}
    .mobile-nav .sub-menu{margin: 0;gap: 14px 0;}
    .mobile-nav ul{padding: 0;gap: 0 15px;}
    .mobile-nav li ul li a{font-size: 15px;}
    .logo-svg-wrapper{width: 180px;margin:0;height: auto;}
    .hero-banner{margin: 20px 15px 0;}
    .design-page h2.section-title{padding-bottom: 0;}
    .design-page h3.article-title,h3.article-title,.service-page .article-title,.article-subsection{font-size: 24px;}
    #hero{padding-top: 15px;}
    #contact{padding: 20px 0 60px;}
    .carriers-hero-content{max-width: none;gap: 15px;}
    .values-list{gap: 20px;}
    .value-icon{margin-top: 2px;width: 18px;}
    .team-container{grid-template-columns: repeat(auto-fit, minmax(140px, 2fr));}
    .form-description{    margin-bottom: 25px;}
	#section-news .reference-card-content{min-height: auto;}
	.section-header{margin-bottom: 15px;}
	#section-projects .reference-card-content{min-height: auto;}
	.philosophy-section{padding: 15px 0;}
	.container.about-intro-container{padding: 0;}
	.about-intro-section{padding: 0 0 40px;}
	.mission-vision-wrapper{margin-top: 0;}
	.container.mission-vision-container{flex-direction: column;padding: 0;}
	.statement-title{margin-bottom: 10px;}
	.core-values-section{margin: 0;padding: 20px 0;}
	.value-text h3{font-size: 17px;margin-bottom: 8px;}
	.values-title{font-size: 30px;}
	.value-text p{font-size: 13px;}
	.values-list ul{gap: 10px 0;}
	.value-item{padding-bottom: 13px;}
	.about-main-section #client-testimonials.testimonials-section{padding-top: 35px;}
	.about-main-section #client-testimonials.testimonials-section .container{padding:0;}
	.testimonials-header{margin-bottom: 10px;}
	.testimonial-card{padding: 18px 20px;gap: 10px 0;}
	.testimonial-quote{font-size: 16px;}
	.people-section{padding: 40px 0 20px;}
	.about-main-section #client-testimonials.testimonials-section .container, .about-main-section .people-section .container{padding: 0;}
	.person-card img{min-height: auto;object-position: center top;height: 400px;}
	.people-grid{grid-template-columns: repeat(2, 1fr);}
	.about-us-careers .careers-container{padding:0;margin: 40px auto 0;}
	.about-us-careers .intro-wrapper{gap: 15px 0;}
	.about-us-careers .why-join-us{gap: 20px 0;}
	#current-vacancies{padding: 0;margin: 5px auto 30px;}
	.vacancies-wrapper{gap: 10px 0;padding: 0;}
	.job-card{padding: 16px 13px;}
	.vacancies-grid{gap: 15px 15px;}
	.iso-logos{gap: 15px 0;flex-direction: row;}
	.footer-divider{margin: 24px 0 0px;}
	.mobile-nav{display: flex;flex-direction: column;justify-content: space-between;padding: 0;}
	.menu-top {
		display: flex;
		align-items: center;
		width: 100%;
		float: left;
		justify-content: space-between;
		padding: 30px 20px;
	}
	.mobile-nav ul li a{padding: 10px 30px;width: 100%;float: left;border-top: 1px solid #014960;font-size: 26px;}
	.category-title{font-size: 17px;}
	.design-page .accordion-item{padding-bottom: 6px;padding-top: 6px;}
	.icon-button{width: 25px;}
	.heading-and-download-section{margin-bottom: 15px;}
	.products-container .accordion-content{margin-top: 17px;}
	.product-title{font-size: 20px;}
	.product-listing-only-content{font-size: 15px;}
	.particular-label, .particular-value{font-size: 15px;}
	.product-card.more-link{padding-bottom: 10px;}
	.section-title{font-size: 30px;}
	.services-section{padding: 20px 0 145px;}
	.section-title, .article-title{margin-bottom: 12px;}
	.content-block h4{font-size: 20px;}
	.content-block h4, .wp-block-group h4, .tab-content h4{margin: 0 0 7px 0;}
	#build-confidence{padding-top: 0px;}
	.confidence-banner{padding: 20px;}
	.confidence-content{gap: 10px 0;}
	.download-brochure-btn,.confidence-button{padding: 10px 15px;font-size: 13px;}
	.design-page h3.article-title{padding-bottom: 0px;}
	.content-block p, .content-block ul, .wp-block-group p, .wp-block-group ul, .tab-content p, .tab-content ul{font-size: 14px;}
	.content-block h6, .wp-block-group h6, .tab-content h6{margin: 6px 0;}
	.archives-search-section{justify-content: center;max-width: none;display:block;}
	.filter-group{justify-content: center;gap: 10px;}
	.search-wrapper{max-width: none;height: 45px;width: 100%;}
	.archives-content-section-title{margin-bottom: 0px;}
	.testimonials-title{font-size: 30px;}
	.article-subsection{margin-bottom: 2px;}
	.wp-block-group.archive-wrapper .article-subsection.article-paragraph{padding: 7px 0 0;}
	.contact-headline{font-size: 30px;}
	.contact-container{gap: 10px;}
	.contact-value{font-size: 14px;}
	.contact-item{gap: 5px;}
	.contact-details{gap: 20px;}
	.contact-container{max-width: none;}
	.contact-intro{gap: 7px;}
	#contact{padding: 20px 0 25px;}
	.form-description{font-size: 16px;}
	.address-card{width: 100%;gap: 6px;}
	.address-card p{font-size: 14px;}
	.contact-details .contact-pill{font-size: 14px;}
	.address-grid .address-card .contact-details{gap: 10px;}
	.address-container{padding: 40px 20px 30px;}
	.person-info{gap: 2px;}
	.person-name{font-size: 20px;}
	.person-designation{font-size: 14px;}
	.hero-section, .hero-slider .swiper-slide, .hero-slider .swiper-wrapper .swiper-slide{height: 80vh;}
	.filter-label{display: none;}
	.filter-group .btn{padding: 3px 7px 3px 15px;font-size: 13px;}
	.filter-group .input-field{font-size: 13px;padding: 5px 13px;}
	.service-testimonial-card-wrapper {padding-bottom: 40px; /* Space for pagination dots */    }
	.archives-content{padding-bottom: 108px;}
	.sticky-sidebar.is-hidden {opacity: 0;visibility: hidden;pointer-events: none;}
	.testimonial-quote {margin-bottom: 10px;}
}

@media(max-width: 728px) and (min-width: 693px){
    .people-grid{
        grid-template-columns: repeat(auto-fit, minmax(145px, 1fr));
    }
}

@media(max-width: 692px){
   
}

@media only screen and (max-width: 640px) {	
    .iso-logos{flex-direction: row;}
}

@media (max-width: 600px) {
    .footer-nav-col ul {
        width: 100%;
    }
}


@media (max-width: 480px) {
    .contact-container {
        padding: 0 20px;
    }

    .contact-headline {
        font-size: 36px;
    }

    .contact-value {
        font-size: 20px;
    }
}

@media(max-width: 477px){

   
}

@media(max-width: 455px) {
    .references-grid {
        grid-template-columns: auto;
    }
}

@media (max-width: 375px) {
    .sidebar-menu {
        width: 100%;
    }

    .sidebar-menu select {
        font-size: 12px;
        width: 95%;
    }
}

@media (max-width: 330px) {
    .footer-nav-col ul {
        grid-template-rows: none;
        grid-auto-flow: row;
        grid-template-columns: 1fr;
    }
}
